/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_print_comb.c                                    :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: lorenuar <lorenuar@student.s19.be>         +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2019/10/30 15:11:42 by lorenuar          #+#    #+#             */
/*   Updated: 2019/10/31 13:08:03 by lorenuar         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include <unistd.h>

void	print(int a, int b, int c)
{
	write(1, &a, 1);
	write(1, &b, 1);
	write(1, &c, 1);
	if (a != '7')
		write(1, ", ", 2);
}

void	ft_print_comb(void)
{
	int	a[3];

	a[0] = '0';
	while (a[0] <= '7')
	{
		a[1] = '0';
		while (a[1] <= '8')
		{
			a[2] = '0';
			while (a[2] <= '9')
			{
				if (a[0] < a[1] && a[1] < a[2])
				{
					print(a[0], a[1], a[2]);
				}
				a[2]++;
			}
			a[1]++;
		}
		a[0]++;
	}
}
